#include <iostream>

using namespace std;

int main()
{
    int n,l,r=-1,h;
    cin>>n>>l;
    for(int i=1;i<=n;i++)
    {
        cin>>h;
        if(h<=l&&r==-1)r=i;
    }
    cout<<r;
    return 0;
}